Skip to content
Snippets Groups Projects
Commit 94d03d36 authored by Christian Engwer's avatar Christian Engwer
Browse files

fixed automake/conf variable in autogen.sh

[[Imported from SVN: r4508]]
parent bb1b2d0d
No related branches found
No related tags found
No related merge requests found
......@@ -48,7 +48,6 @@ done
## report parameters
if test "x$ACVERSION" != "x"; then
echo "Forcing autoconf version $ACVERSION"
ACVERSION=-$ACVERSION
if ! which autoconf$ACVERSION > /dev/null; then
echo
echo "Error: Could not find autoconf$ACVERSION"
......@@ -58,7 +57,6 @@ if test "x$ACVERSION" != "x"; then
fi
if test "x$AMVERSION" != "x"; then
echo "Forcing automake version $AMVERSION"
AMVERSION=-$AMVERSION
if ! which automake$AMVERSION > /dev/null; then
echo
echo "Error: Could not find automake$AMVERSION"
......
......@@ -166,7 +166,7 @@ run_default_autogen () {
ACLOCAL_FLAGS="$path $ACLOCAL_FLAGS"
fi
done
eval ./autogen.sh "$ACLOCAL_FLAGS" "$@"
eval ./autogen.sh "$ACLOCAL_FLAGS" "$PARAMS" || exit 1
fi
}
......@@ -198,8 +198,8 @@ run_default_configure () {
run_default_make () {
PARAMS="$CMD_PARAMS"
echo make "$PARAMS";
eval make "$PARAMS";
echo make "$PARAMS"
eval make "$PARAMS"
}
run_default_all () {
......
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment